=== debian/changelog ===
crazy-complete (0.3.6-1) unstable; urgency=medium

  * Initial packaging (Closes: #1088766)

 -- Nicolas Peugnet <nicolas@club1.fr>  Sun, 05 Oct 2025 22:33:52 +0200
