=== debian/control ===
Source: crazy-complete
Maintainer: Nicolas Peugnet <nicolas@club1.fr>
Section: devel
Priority: optional
Build-Depends:
 bash-completion <!nocheck>,
 debhelper-compat (= 13),
 dh-python,
 dh-shell-completions,
 fish <!nocheck>,
 python3-all,
 python3-argparse-manpage <!nodoc>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-yaml,
 tmux,
 zsh <!nocheck>
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Homepage: https://github.com/crazy-complete/crazy-complete
Vcs-Git: https://salsa.debian.org/debian/crazy-complete.git
Vcs-Browser: https://salsa.debian.org/debian/crazy-complete

Package: crazy-complete
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-yaml
Suggests:
 crazy-complete-doc
Description: Generate shell completion files for all major shells
 crazy-complete is a tool that generates shell completion scripts, based
 on a description of the command line interface. It supports many input
 formats, including YAML and JSON, but can also use the --help output of
 a command, or even directly the content of a Python script if it uses
 argparse.
 .
 Its output also supports multiple shells, including Bash, Fish and Zsh.
 The generated scripts are standalone, focus on robustness and do not
 depend on modified environment.

Package: crazy-complete-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Generate shell completion files for all major shells - documentation
 crazy-complete is a tool that generates shell completion scripts, based
 on a description of the command line interface. It supports many input
 formats, including YAML and JSON, but can also use the --help output of
 a command, or even directly the content of a Python script if it uses
 argparse.
 .
 Its output also supports multiple shells, including Bash, Fish and Zsh.
 The generated scripts are standalone, focus on robustness and do not
 depend on modified environment.
 .
 This package contains the HTML documentation of crazy-complete.
