=== debian/watch ===
Version: 5
Template: Github
Owner: crazy-complete
Project: crazy-complete
